## org.eclipse.emf.ocl.types
Interface ElementType

All Superinterfaces:
  EClass, EClassifier, EModelElement, ENamedElement, EObject, Notifier

All Known Implementing Classes:
  ElementTypeImpl

Deprecated. Use the `ElementType` interface, instead. Note also, that the `OCLStandardLibrary.getOclElement()` method provides the `OclElement` generic instance of this metaclass.

    @Deprecated
    public interface ElementType

extends EClass

Field Summary
`static String` `copyright` Deprecated.

Method Summary

Methods inherited from interface org.eclipse.emf.ecore.EClass

`getEAllAttributes, getEAllContainments, getEAllGenericSuperTypes, getEAllOperations, getEAllReferences, getEAllStructuralFeatures, getEAllSuperTypes, getEAttributes, getEGenericSuperTypes, getEIDAttribute, getEOperations, getEReferences, getEStructuralFeature, getEStructuralFeature, getEStructuralFeatures, getESuperTypes, getFeatureCount, getFeatureID, isAbstract, isInterface, isSuperTypeOf, setAbstract, setInterface`

Methods inherited from interface org.eclipse.emf.ecore.EClassifier
`getClassifierID, getDefaultValue, getEPackage, getETypeParameters, getInstanceClass, getInstanceClassName, getInstanceTypeName, isInstance, setInstanceClass, setInstanceClassName, setInstanceTypeName`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.